Package org.kie.internal.runtime.manager.context

## Class EmptyContext

- java.lang.Object
- - org.kie.internal.runtime.manager.context.EmptyContext

- All Implemented Interfaces:
    `org.kie.api.runtime.manager.Context<String>`

      public class EmptyContext
      extends Object
      implements org.kie.api.runtime.manager.Context<String>

  Default implementation of `Context` interface that does not bring any specifics to the RuntimeManager and is usually used for instances of manager that does not deal with contextual information:
  - Singleton
  - PerRequest
  To obtain instances of this context use static `get()` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `CONTEXT_ID` |
    `protected static org.kie.api.runtime.manager.Context<String>` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EmptyContext()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.kie.api.runtime.manager.Context<String>` | `get()` | Returns instances of the empty context.
    `String` | `getContextId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_ID

          protected static final String CONTEXT_ID

      See Also:
        Constant Field Values

    - #### INSTANCE

          protected static final org.kie.api.runtime.manager.Context<String> INSTANCE

  - ### Constructor Detail

    - #### EmptyContext

          protected EmptyContext()

  - ### Method Detail

    - #### getContextId

          public String getContextId()

      Specified by:
        `getContextId` in interface `org.kie.api.runtime.manager.Context<String>`

    - #### get

          public static org.kie.api.runtime.manager.Context<String> get()

      Returns instances of the empty context.
      Returns: